import { BaseEngine, BaseEngineConfig } from '../BaseEngine';
import { ConfigCompany } from '../../models/Client/Hotel/Company';
export interface RecentSearchesEngineConfig extends BaseEngineConfig {
    company: ConfigCompany;
}
export declare class RecentSearchesEngine extends BaseEngine<RecentSearchesEngineConfig> {
    private roomCode;
    constructor(bookingContainer: HTMLElement, config?: RecentSearchesEngineConfig);
    getRoomCode(): string;
    protected render(): Promise<void>;
}
